Page MenuHomePhabricator

Decommission db2049.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2049.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2049
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2019-08-19T12:50:00Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2049 from config T230721 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-08-19T12:51:13Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2049 from config T230721 (duration: 00m 48s)

Change 531026 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2049

https://gerrit.wikimedia.org/r/531026

Change 531026 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2049

https://gerrit.wikimedia.org/r/531026

Mentioned in SAL (#wikimedia-operations) [2019-08-20T05:35:00Z] <marostegui> Stop MySQL on db2049 for decommissioning - T230721

Mentioned in SAL (#wikimedia-operations) [2019-08-20T05:36:59Z] <marostegui> Remove db2049 from tendril and zarcillo T230721

Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2049.codfw.wmnet

  • db2049.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 538751 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2049

https://gerrit.wikimedia.org/r/538751

Change 538752 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2049 production entries

https://gerrit.wikimedia.org/r/538752

Change 538751 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2049

https://gerrit.wikimedia.org/r/538751

Change 538752 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2049 production entries

https://gerrit.wikimedia.org/r/538752

Marostegui updated the task description. (Show Details)
Marostegui removed a project: Patch-For-Review.

Host ready for @Papaul to decommission after running the decommission script.

papaul@asw-c-codfw# show | compare 
[edit interfaces interface-range vlan-private1-c-codfw]
-    member ge-6/0/18;
[edit interfaces interface-range disabled]
     member ge-6/0/13 { ... }
+    member ge-6/0/18;
[edit interfaces]
-   ge-6/0/18 {
-       description db2049;
-       enable;
-   }

Change 540230 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

Change 540230 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks